summaryrefslogtreecommitdiffstats
path: root/sysutils/hal
diff options
context:
space:
mode:
authormarcus <marcus@df743ca5-7f9a-e211-a948-0013205c9059>2008-03-24 13:30:51 +0800
committermarcus <marcus@df743ca5-7f9a-e211-a948-0013205c9059>2008-03-24 13:30:51 +0800
commita6888a2a213b49d671bf658e58428d9a1d342f66 (patch)
tree73b4b8892d2a32df0f24d16b19046bc481baf971 /sysutils/hal
parenta740241125f843ca61310f787f0eea0d5b40784f (diff)
downloadmarcuscom-ports-a6888a2a213b49d671bf658e58428d9a1d342f66.tar
marcuscom-ports-a6888a2a213b49d671bf658e58428d9a1d342f66.tar.gz
marcuscom-ports-a6888a2a213b49d671bf658e58428d9a1d342f66.tar.bz2
marcuscom-ports-a6888a2a213b49d671bf658e58428d9a1d342f66.tar.lz
marcuscom-ports-a6888a2a213b49d671bf658e58428d9a1d342f66.tar.xz
marcuscom-ports-a6888a2a213b49d671bf658e58428d9a1d342f66.tar.zst
marcuscom-ports-a6888a2a213b49d671bf658e58428d9a1d342f66.zip
Remove these ports now that they have been merged into the FreeBSD ports tree.
git-svn-id: svn://creme-brulee.marcuscom.com/ports/trunk@10818 df743ca5-7f9a-e211-a948-0013205c9059
Diffstat (limited to 'sysutils/hal')
-rw-r--r--sysutils/hal/Makefile116
-rw-r--r--sysutils/hal/distinfo3
-rw-r--r--sysutils/hal/files/extra-patch-tools_hal-storage-mount.c30
-rw-r--r--sysutils/hal/files/hald.in79
-rw-r--r--sysutils/hal/files/patch-Makefile.in25
-rw-r--r--sysutils/hal/files/patch-doc_Makefile.in11
-rw-r--r--sysutils/hal/files/patch-hald_freebsd_addons_addon-storage.c135
-rw-r--r--sysutils/hal/files/patch-hald_freebsd_hf-scsi.c12
-rw-r--r--sysutils/hal/files/pkg-deinstall.in12
-rw-r--r--sysutils/hal/files/pkg-install.in49
-rw-r--r--sysutils/hal/pkg-descr6
-rw-r--r--sysutils/hal/pkg-plist126
12 files changed, 0 insertions, 604 deletions
diff --git a/sysutils/hal/Makefile b/sysutils/hal/Makefile
deleted file mode 100644
index ed9b51962..000000000
--- a/sysutils/hal/Makefile
+++ /dev/null
@@ -1,116 +0,0 @@
-# New ports collection makefile for: HAL
-# Date Created: 02 May 2006
-# Whom: Joe Marcus Clarke <marcus@FreeBSD.org>
-#
-# $FreeBSD$
-# $MCom: ports/sysutils/hal/Makefile,v 1.42 2008/03/18 20:05:55 marcus Exp $
-#
-
-PORTNAME= hal
-DISTVERSION= 0.5.11rc2
-PORTREVISION= 3
-CATEGORIES= sysutils
-MASTER_SITES= http://hal.freedesktop.org/releases/
-
-MAINTAINER= gnome@FreeBSD.org
-COMMENT= Hardware Abstraction Layer for simplifying device access
-
-LIB_DEPENDS= polkit.2:${PORTSDIR}/sysutils/policykit \
- volume_id.0:${PORTSDIR}/devel/libvolume_id \
- ck-connector.0:${PORTSDIR}/sysutils/consolekit
-RUN_DEPENDS= ${LOCALBASE}/share/pciids/pci.ids:${PORTSDIR}/misc/pciids
-
-USE_GETTEXT= yes
-USE_GMAKE= yes
-USE_GNOME= gnomehack gnometarget intlhack ltverhack
-USE_AUTOTOOLS= libtool:15
-USE_LDCONFIG= yes
-USE_PYTHON= yes
-CONFIGURE_ARGS= --disable-gtk-doc \
- --with-backend=freebsd \
- --disable-docbook-docs \
- --with-pci-ids=${LOCALBASE}/share/pciids \
- --disable-usb-ids \
- --without-libpci \
- --disable-usb \
- --disable-smbios \
- --disable-apm \
- --disable-pmu \
- --enable-policy-kit \
- --enable-console-kit \
- --with-socket-dir=/var/run/hald \
- --with-eject=/usr/sbin/cdcontrol \
- --with-pid-file=/var/run/hald/hald.pid \
- --with-deprecated-keys \
- --localstatedir=/var
-CONFIGURE_ENV= CPPFLAGS="-I${LOCALBASE}/include" \
- LDFLAGS="-L${LOCALBASE}/lib" \
- GTKDOC="false"
-
-#HALVERSION= 0.5.10
-#SNAPVERSION= 20080218
-
-USE_RC_SUBR= hald
-USE_GNOME_SUBR= yes
-DOCSDIR= ${PREFIX}/share/doc/${PORTNAME}-${HALVERSION}
-PLIST_SUB= VERSION=${HALVERSION}
-
-RC_FILES= hal.conf:${PREFIX}/etc/dbus-1/system.d
-PLIST_FILES= ${PRIV_FILES:S|^|%%DATADIR%%/dist/|}
-
-SUB_FILES= pkg-install pkg-deinstall
-SUB_LIST= RC_FILES="${RC_FILES}"
-
-MAN1= hal-disable-polling.1 hal-find-by-capability.1 \
- hal-find-by-property.1 hal-get-property.1 \
- hal-is-caller-locked-out.1 hal-is-caller-privileged.1 \
- hal-lock.1 hal-set-property.1 lshal.1
-MAN8= hald.8
-
-OPTIONS= FIXED_MOUNTPOINTS "use fixed mountpoints" off
-
-.include <bsd.port.pre.mk>
-
-.if ${OSVERSION} < 505000
-IGNORE= not supported on FreeBSD prior to 5.5-RELEASE
-.endif
-
-.if (${ARCH}=="i386" || ${ARCH}=="amd64" || ${ARCH}=="ia64")
-RUN_DEPENDS+= dmidecode:${PORTSDIR}/sysutils/dmidecode
-.endif
-
-.if ${OSVERSION} <= 601100
-NEEDS_MEDIA= yes
-PLIST_SUB+= MEDIA=""
-.else
-PLIST_SUB+= MEDIA="@comment "
-.endif
-
-.if defined(WITH_FIXED_MOUNTPOINTS)
-EXTRA_PATCHES+= ${FILESDIR}/extra-patch-tools_hal-storage-mount.c
-.endif
-
-post-patch:
- @${REINPLACE_CMD} -e '/^scriptdir = /s|libdir|libexecdir|' \
- ${WRKSRC}/tools/Makefile.in \
- ${WRKSRC}/tools/freebsd/Makefile.in
- @${REINPLACE_CMD} -e 's|[(]libdir[)]/hal/scripts|(libexecdir)/hal/scripts|' \
- ${WRKSRC}/hald/Makefile.in
- @${REINPLACE_CMD} -e 's|user="0"|group="operator"|g' \
- ${WRKSRC}/hal.conf.in
-
-post-install:
- ${MKDIR} ${DATADIR}/dist
- ${INSTALL_DATA} ${WRKSRC}/hal.conf ${DATADIR}/dist
- @${SETENV} PKG_PREFIX=${PREFIX} PACKAGE_BUILDING=${PACKAGE_BUILDING} \
- ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
-.if !defined(PACKAGE_BUILDING) && defined(NEEDS_MEDIA)
- ${MKDIR} /media
-.endif
-.if !defined(NOPORTDOCS)
- ${MKDIR} ${DOCSDIR}
- ${INSTALL_DATA} ${WRKSRC}/hald/freebsd/README \
- ${DOCSDIR}/README.freebsd
-.endif
-
-.include <bsd.port.post.mk>
diff --git a/sysutils/hal/distinfo b/sysutils/hal/distinfo
deleted file mode 100644
index 1c49bac64..000000000
--- a/sysutils/hal/distinfo
+++ /dev/null
@@ -1,3 +0,0 @@
-MD5 (hal-0.5.11rc2.tar.gz) = ade962044a62e8f2dc4625a17f4a5c7e
-SHA256 (hal-0.5.11rc2.tar.gz) = 3937d2ab06c091d0b5d604f7615096be505455448cc13635ebdba169d29b4bdc
-SIZE (hal-0.5.11rc2.tar.gz) = 1665175
diff --git a/sysutils/hal/files/extra-patch-tools_hal-storage-mount.c b/sysutils/hal/files/extra-patch-tools_hal-storage-mount.c
deleted file mode 100644
index 82a7fb607..000000000
--- a/sysutils/hal/files/extra-patch-tools_hal-storage-mount.c
+++ /dev/null
@@ -1,30 +0,0 @@
---- tools/hal-storage-mount.c.orig 2008-01-03 21:10:54.000000000 -0500
-+++ tools/hal-storage-mount.c 2008-01-04 09:29:10.000000000 -0500
-@@ -583,23 +583,11 @@ handle_mount (LibHalContext *hal_ctx,
- explicit_mount_point_given = FALSE;
- if (strlen (mount_point) == 0) {
- char *p;
-- const char *label;
-+ char *basename;
-
-- if (volume != NULL)
-- label = libhal_volume_get_label (volume);
-- else
-- label = NULL;
--
-- if (label != NULL) {
-- /* best - use label */
-- g_strlcpy (mount_point, label, sizeof (mount_point));
--
-- /* TODO: use drive type */
--
-- } else {
-- /* fallback - use "disk" */
-- g_snprintf (mount_point, sizeof (mount_point), "%s", "disk");
-- }
-+ basename = g_path_get_basename (device);
-+ g_strlcpy (mount_point, basename, sizeof (mount_point));
-+ g_free (basename);
-
- /* sanitize computed mount point name, e.g. replace invalid chars with '-' */
- p = mount_point;
diff --git a/sysutils/hal/files/hald.in b/sysutils/hal/files/hald.in
deleted file mode 100644
index 7f8f2c659..000000000
--- a/sysutils/hal/files/hald.in
+++ /dev/null
@@ -1,79 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-# PROVIDE: hald
-# REQUIRE: DAEMON usbd devd dbus
-#
-# Add the following line to /etc/rc.conf to enable the HAL daemon:
-#
-# hald_enable="YES"
-#
-
-. %%RC_SUBR%%
-. %%GNOME_SUBR%%
-
-hald_enable=${hald_enable-${gnome_enable}}
-hald_flags=${hald_flags-""}
-
-name=hald
-rcvar=`set_rcvar`
-
-command="%%PREFIX%%/sbin/hald"
-pidfile="/var/run/${name}/${name}.pid"
-
-stop_postcmd="hald_postcmd"
-start_precmd="hald_precmd"
-start_cmd="hald_start"
-
-local_force_depend()
-{
- _depend="$1"
- if [ -f %%LOCALBASE%%/etc/rc.d/${_depend}.sh ]; then
- _depend="${_depend}.sh"
- fi
-
- if ! %%LOCALBASE%%/etc/rc.d/${_depend} forcestatus 1>/dev/null 2>&1 &&
- ! %%LOCALBASE%%/etc/rc.d/${_depend} forcestart; then
- return 1
- fi
- return 0
-}
-
-hald_precmd()
-{
- if ! checkyesno dbus_enable
- then
- local_force_depend dbus || return 1
- fi
-
- chmod 0755 /var/cache
-
- mkdir -p $(dirname $pidfile)
-}
-
-hald_postcmd()
-{
- rm -f $pidfile
-}
-
-hald_start()
-{
- if ! checkyesno hald_enable ; then
- return 0
- fi
- echo "Starting ${name}."
-
- ( iter=0
- while ! ps -axoargs | grep "^/usr/libexec/getty " | grep -qv grep >/dev/null 2>&1; do
- if [ ${iter} -eq 60 ]; then
- break
- fi
- sleep 1
- iter=$(expr ${iter} + 1)
- done
- ${command} ${hald_flags} ) &
-}
-
-load_rc_config ${name}
-run_rc_command "$1"
diff --git a/sysutils/hal/files/patch-Makefile.in b/sysutils/hal/files/patch-Makefile.in
deleted file mode 100644
index 17d23980f..000000000
--- a/sysutils/hal/files/patch-Makefile.in
+++ /dev/null
@@ -1,25 +0,0 @@
---- Makefile.in.orig 2008-01-03 21:28:32.000000000 -0500
-+++ Makefile.in 2008-01-03 21:29:15.000000000 -0500
-@@ -311,14 +311,14 @@ clean-libtool:
- distclean-libtool:
- -rm -f libtool
- install-dist_dbusDATA: $(dist_dbus_DATA)
-- @$(NORMAL_INSTALL)
-- test -z "$(dbusdir)" || $(MKDIR_P) "$(DESTDIR)$(dbusdir)"
-- @list='$(dist_dbus_DATA)'; for p in $$list; do \
-- if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-- f=$(am__strip_dir) \
-- echo " $(dist_dbusDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(dbusdir)/$$f'"; \
-- $(dist_dbusDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(dbusdir)/$$f"; \
-- done
-+# @$(NORMAL_INSTALL)
-+# test -z "$(dbusdir)" || $(MKDIR_P) "$(DESTDIR)$(dbusdir)"
-+# @list='$(dist_dbus_DATA)'; for p in $$list; do \
-+# if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-+# f=$(am__strip_dir) \
-+# echo " $(dist_dbusDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(dbusdir)/$$f'"; \
-+# $(dist_dbusDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(dbusdir)/$$f"; \
-+# done
-
- uninstall-dist_dbusDATA:
- @$(NORMAL_UNINSTALL)
diff --git a/sysutils/hal/files/patch-doc_Makefile.in b/sysutils/hal/files/patch-doc_Makefile.in
deleted file mode 100644
index 9cd951720..000000000
--- a/sysutils/hal/files/patch-doc_Makefile.in
+++ /dev/null
@@ -1,11 +0,0 @@
---- doc/Makefile.in.orig 2008-01-03 21:41:19.000000000 -0500
-+++ doc/Makefile.in 2008-01-03 21:41:31.000000000 -0500
-@@ -203,7 +203,7 @@ target_alias = @target_alias@
- top_builddir = @top_builddir@
- top_srcdir = @top_srcdir@
- EXTRA_DIST = TODO
--SUBDIRS = api spec man
-+SUBDIRS = spec man
- MAINTAINERCLEANFILES = \
- *~ \
- Makefile.in
diff --git a/sysutils/hal/files/patch-hald_freebsd_addons_addon-storage.c b/sysutils/hal/files/patch-hald_freebsd_addons_addon-storage.c
deleted file mode 100644
index ebeeb072c..000000000
--- a/sysutils/hal/files/patch-hald_freebsd_addons_addon-storage.c
+++ /dev/null
@@ -1,135 +0,0 @@
---- hald/freebsd/addons/addon-storage.c.orig 2008-03-17 17:25:16.000000000 -0400
-+++ hald/freebsd/addons/addon-storage.c 2008-03-22 03:25:19.000000000 -0400
-@@ -150,6 +150,34 @@ hf_addon_storage_update (void)
- return has_media;
- }
-
-+static boolean
-+poll_for_media (void)
-+{
-+ boolean has_media;
-+
-+ has_media = hf_addon_storage_update();
-+ if (has_media != addon.had_media)
-+ {
-+ /*
-+ * FIXME: if the media was removed, we should force-unmount
-+ * all its child volumes (see linux2/addons/addon-storage.c).
-+ * However, currently (FreeBSD 6.0) umount -f is broken and
-+ * can cause kernel panics. When I tried to umount -f a
-+ * flash card after removing it, it failed with EAGAIN. It
-+ * continued to fail after I inserted the card. The system
-+ * then hung while rebooting and did not unmount my other
-+ * filesystems.
-+ */
-+
-+ libhal_device_rescan(hfp_ctx, hfp_udi, &hfp_error);
-+ dbus_error_free(&hfp_error);
-+ addon.had_media = has_media;
-+
-+ return TRUE;
-+ }
-+ return FALSE;
-+}
-+
- static void
- update_proc_title (const char *device, boolean polling_enabled)
- {
-@@ -159,6 +187,29 @@ update_proc_title (const char *device, b
- setproctitle("no polling on %s because it is explicitly disabled", device);
- }
-
-+static DBusHandlerResult
-+filter_function (DBusConnection *connection, DBusMessage *message, void *user_data)
-+{
-+ if (dbus_message_is_method_call(message,
-+ "org.freedesktop.Hal.Device.Storage.Removable",
-+ "CheckForMedia"))
-+ {
-+ DBusMessage *reply;
-+ dbus_bool_t had_effect;
-+
-+ hfp_info("Forcing poll for media becusse CheckForMedia() was called");
-+
-+ had_effect = poll_for_media();
-+
-+ reply = dbus_message_new_method_return (message);
-+ dbus_message_append_args(reply, DBUS_TYPE_BOOLEAN, &had_effect, DBUS_TYPE_INVALID);
-+ dbus_connection_send(connection, reply, NULL);
-+ dbus_message_unref(reply);
-+ }
-+
-+ return DBUS_HANDLER_RESULT_HANDLED;
-+}
-+
- int
- main (int argc, char **argv)
- {
-@@ -202,13 +253,30 @@ main (int argc, char **argv)
- ! strcmp(driver, "cd")))) && ! strcmp(removable, "true");
- addon.had_media = hf_addon_storage_update();
-
-+ if (! libhal_device_addon_is_ready(hfp_ctx, hfp_udi, &hfp_error))
-+ goto end;
-+ dbus_error_free(&hfp_error);
-+
- connection = libhal_ctx_get_dbus_connection(hfp_ctx);
- assert(connection != NULL);
-+ dbus_connection_set_exit_on_disconnect(connection, 0);
-+ dbus_connection_add_filter(connection, filter_function, NULL, NULL);
-
-- while (TRUE)
-+ if (! libhal_device_claim_interface(hfp_ctx,
-+ hfp_udi,
-+ "org.freedesktop.Hal.Device.Storage.Removable",
-+ " <method name=\"CheckForMedia\">\n"
-+ " <arg name=\"call_had_sideeffect\" direction=\"out\" type=\"b\"/>\n"
-+ " </method>\n",
-+ &hfp_error))
- {
-- boolean has_media;
-+ hfp_critical("Cannot claim interface 'org.freedesktop.Hal.Device.Storage.Removable'");
-+ goto end;
-+ }
-+ dbus_error_free(&hfp_error);
-
-+ while (TRUE)
-+ {
- /* process dbus traffic until update interval has elapsed */
- while (TRUE)
- {
-@@ -225,7 +293,7 @@ main (int argc, char **argv)
- if (timeout.tv_sec < 0) /* current time went backwards */
- timeout = addon.update_interval;
-
-- dbus_connection_read_write(connection, timeout.tv_sec * 1000 + timeout.tv_usec / 1000);
-+ dbus_connection_read_write_dispatch(connection, timeout.tv_sec * 1000 + timeout.tv_usec / 1000);
- if (! dbus_connection_get_is_connected(connection))
- goto end;
- }
-@@ -239,24 +307,7 @@ main (int argc, char **argv)
-
- if (should_poll)
- {
-- has_media = hf_addon_storage_update();
-- if (has_media != addon.had_media)
-- {
-- /*
-- * FIXME: if the media was removed, we should force-unmount
-- * all its child volumes (see linux2/addons/addon-storage.c).
-- * However, currently (FreeBSD 6.0) umount -f is broken and
-- * can cause kernel panics. When I tried to umount -f a
-- * flash card after removing it, it failed with EAGAIN. It
-- * continued to fail after I inserted the card. The system
-- * then hung while rebooting and did not unmount my other
-- * filesystems.
-- */
--
-- libhal_device_rescan(hfp_ctx, hfp_udi, &hfp_error);
-- dbus_error_free(&hfp_error);
-- addon.had_media = has_media;
-- }
-+ poll_for_media();
- }
- else
- {
diff --git a/sysutils/hal/files/patch-hald_freebsd_hf-scsi.c b/sysutils/hal/files/patch-hald_freebsd_hf-scsi.c
deleted file mode 100644
index 598ac6283..000000000
--- a/sysutils/hal/files/patch-hald_freebsd_hf-scsi.c
+++ /dev/null
@@ -1,12 +0,0 @@
---- hald/freebsd/hf-scsi.c.orig 2008-03-18 15:58:59.000000000 -0400
-+++ hald/freebsd/hf-scsi.c 2008-03-18 15:57:36.000000000 -0400
-@@ -409,8 +409,8 @@ hf_scsi_handle_pending_device (struct de
- */
- hf_block_device_complete(block_device, block_device, FALSE);
-
-- hf_storage_device_probe(block_device, FALSE);
- hf_device_add(block_device);
-+ hf_storage_device_probe(block_device, FALSE);
- }
- }
- }
diff --git a/sysutils/hal/files/pkg-deinstall.in b/sysutils/hal/files/pkg-deinstall.in
deleted file mode 100644
index 96f8e9f91..000000000
--- a/sysutils/hal/files/pkg-deinstall.in
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/bin/sh
-
-[ "$2" != DEINSTALL ] && exit 0
-
-for pair in %%RC_FILES%%; do
- file=`echo $pair | cut -f 1 -d :`
- destdir=`echo $pair | cut -f 2 -d :`
-
- if cmp -s %%DATADIR%%/dist/$file $destdir/$file; then
- rm -f $destdir/$file
- fi
-done
diff --git a/sysutils/hal/files/pkg-install.in b/sysutils/hal/files/pkg-install.in
deleted file mode 100644
index 72b67ff95..000000000
--- a/sysutils/hal/files/pkg-install.in
+++ /dev/null
@@ -1,49 +0,0 @@
-#!/bin/sh
-
-[ "$2" != POST-INSTALL ] && exit 0
-
-if [ -z "${PACKAGE_BUILDING}" ]; then
- USER=haldaemon
- GROUP=${USER}
- UID=560
- GID=${UID}
- PW=/usr/sbin/pw
-
- if ${PW} group show "${GROUP}" 2>/dev/null; then
- echo "You already have a group \"${GROUP}\", so I will use it."
- else
- if ${PW} groupadd ${GROUP} -g ${GID}; then
- echo "Added group \"${GROUP}\"."
- else
- echo "Adding group \"${GROUP}\" failed..."
- exit 1
- fi
- fi
-
- if ${PW} user show "${USER}" 2>/dev/null; then
- echo "You already have a user \"${USER}\", so I will use it."
- else
- if ${PW} useradd ${USER} -u ${UID} -g ${GROUP} -h - \
- -d "/nonexistent" -s /sbin/nologin -c "HAL Daemon User"
- then
- echo "Added user \"${USER}\"."
- else
- echo "Adding user \"${USER}\" failed..."
- exit 1
- fi
- fi
-
- /usr/bin/install -d -o ${USER} -g ${GROUP} /var/run/hald
- /usr/bin/install -d -o ${USER} -g ${GROUP} /var/cache/hald
- /usr/bin/install -d -o ${USER} -g ${GROUP} /var/lib/hal
-fi
-
-for pair in %%RC_FILES%%; do
- file=`echo $pair | cut -f 1 -d :`
- destdir=`echo $pair | cut -f 2 -d :`
-
- if [ ! -f $destdir/$file ]; then
- mkdir -p $destdir
- cp -p %%DATADIR%%/dist/$file $destdir/$file
- fi
-done
diff --git a/sysutils/hal/pkg-descr b/sysutils/hal/pkg-descr
deleted file mode 100644
index c94358513..000000000
--- a/sysutils/hal/pkg-descr
+++ /dev/null
@@ -1,6 +0,0 @@
-HAL is a hardware abstraction layer whose goal is to merge information from
-various sources such that desktop applications can locate and use hardware
-devices. The point is that the exact set of information to merge varies by
-device and bus type.
-
-WWW: http://www.freedesktop.org/Software/hal
diff --git a/sysutils/hal/pkg-plist b/sysutils/hal/pkg-plist
deleted file mode 100644
index 3b60cfa41..000000000
--- a/sysutils/hal/pkg-plist
+++ /dev/null
@@ -1,126 +0,0 @@
-@unexec %D/etc/rc.d/hald stop > /dev/null 2>&1 || true
-%%MEDIA%%@exec mkdir -p /media
-bin/hal-device
-bin/hal-disable-polling
-bin/hal-find-by-capability
-bin/hal-find-by-property
-bin/hal-get-property
-bin/hal-is-caller-locked-out
-bin/hal-is-caller-privileged
-bin/hal-lock
-bin/hal-set-property
-bin/lshal
-@exec mkdir -p %D/etc/hal/fdi/preprobe
-@exec mkdir -p %D/etc/hal/fdi/policy
-@exec mkdir -p %D/etc/hal/fdi/information
-include/hal/libhal-storage.h
-include/hal/libhal.h
-lib/libhal-storage.a
-lib/libhal-storage.la
-lib/libhal-storage.so
-lib/libhal-storage.so.1
-lib/libhal.a
-lib/libhal.la
-lib/libhal.so
-lib/libhal.so.1
-lib/libhald_freebsd_probe.a
-lib/libhald_freebsd_probe.la
-lib/libhald_freebsd_probe.so
-lib/libhald_freebsd_probe.so.0
-libdata/pkgconfig/hal-storage.pc
-libdata/pkgconfig/hal.pc
-libexec/hal-storage-cleanup-all-mountpoints
-libexec/hal-storage-cleanup-mountpoint
-libexec/hal-storage-closetray
-libexec/hal-storage-eject
-libexec/hal-storage-mount
-libexec/hal-storage-unmount
-libexec/hal-system-power-pm-is-supported
-libexec/hal-system-setserial
-libexec/hal/scripts/freebsd/hal-system-lcd-get-brightness-freebsd
-libexec/hal/scripts/freebsd/hal-system-lcd-set-brightness-freebsd
-libexec/hal/scripts/freebsd/hal-system-power-reboot-freebsd
-libexec/hal/scripts/freebsd/hal-system-power-set-power-save-freebsd
-libexec/hal/scripts/freebsd/hal-system-power-shutdown-freebsd
-libexec/hal/scripts/freebsd/hal-system-power-suspend-freebsd
-libexec/hal/scripts/hal-dockstation-undock
-libexec/hal/scripts/hal-functions
-libexec/hal/scripts/hal-luks-remove
-libexec/hal/scripts/hal-luks-setup
-libexec/hal/scripts/hal-luks-teardown
-libexec/hal/scripts/hal-system-killswitch-get-power
-libexec/hal/scripts/hal-system-killswitch-set-power
-libexec/hal/scripts/hal-system-lcd-get-brightness
-libexec/hal/scripts/hal-system-lcd-set-brightness
-libexec/hal/scripts/hal-system-power-hibernate
-libexec/hal/scripts/hal-system-power-reboot
-libexec/hal/scripts/hal-system-power-set-power-save
-libexec/hal/scripts/hal-system-power-shutdown
-libexec/hal/scripts/hal-system-power-suspend
-libexec/hal/scripts/hal-system-power-suspend-hybrid
-libexec/hal/scripts/hal-system-wol-enable
-libexec/hal/scripts/hal-system-wol-enabled
-libexec/hal/scripts/hal-system-wol-supported
-libexec/hald-addon-storage
-libexec/hald-generate-fdi-cache
-libexec/hald-probe-hiddev
-libexec/hald-probe-scsi
-libexec/hald-probe-smbios
-libexec/hald-probe-storage
-libexec/hald-probe-volume
-libexec/hald-runner
-sbin/hald
-%%PORTDOCS%%%%DOCSDIR%%/README.freebsd
-%%DATADIR%%/dist/hal.conf
-%%DATADIR%%/fdi/fdi.dtd
-%%DATADIR%%/fdi/information/10freedesktop/01-deprecated-keys.fdi
-@exec mkdir -p %D/%%DATADIR%%/fdi/information/20thirdparty
-%%DATADIR%%/fdi/policy/10osvendor/10-dockstation.fdi
-%%DATADIR%%/fdi/policy/10osvendor/10-input-policy.fdi
-%%DATADIR%%/fdi/policy/10osvendor/10-laptop-panel-mgmt-policy.fdi
-%%DATADIR%%/fdi/policy/10osvendor/10-power-mgmt-policy.fdi
-%%DATADIR%%/fdi/policy/10osvendor/10-rfkill-switch.fdi
-%%DATADIR%%/fdi/policy/10osvendor/10-tabletPCs.fdi
-%%DATADIR%%/fdi/policy/10osvendor/10-x11-input.fdi
-%%DATADIR%%/fdi/policy/10osvendor/15-storage-luks.fdi
-%%DATADIR%%/fdi/policy/10osvendor/20-storage-methods.fdi
-%%DATADIR%%/fdi/policy/10osvendor/30-wol.fdi
-share/PolicyKit/policy/org.freedesktop.hal.dockstation.policy
-share/PolicyKit/policy/org.freedesktop.hal.killswitch.policy
-share/PolicyKit/policy/org.freedesktop.hal.policy
-share/PolicyKit/policy/org.freedesktop.hal.power-management.policy
-share/PolicyKit/policy/org.freedesktop.hal.storage.policy
-share/PolicyKit/policy/org.freedesktop.hal.wol.policy
-@exec mkdir -p %D/%%DATADIR%%/fdi/policy/20thirdparty
-@exec mkdir -p %D/%%DATADIR%%/fdi/preprobe/20thirdparty
-@dirrm %%DATADIR%%/fdi/preprobe/20thirdparty
-@dirrm %%DATADIR%%/fdi/preprobe/10osvendor
-@dirrm %%DATADIR%%/fdi/preprobe
-@dirrm %%DATADIR%%/fdi/policy/20thirdparty
-@dirrm %%DATADIR%%/fdi/policy/10osvendor
-@dirrm %%DATADIR%%/fdi/policy
-@dirrm %%DATADIR%%/fdi/information/20thirdparty
-@dirrm %%DATADIR%%/fdi/information/10freedesktop
-@dirrm %%DATADIR%%/fdi/information
-@dirrm %%DATADIR%%/fdi
-@dirrm %%DATADIR%%/dist
-@dirrm %%DATADIR%%
-@dirrm %%DOCSDIR%%
-@dirrm libexec/hal/scripts/freebsd
-@dirrm libexec/hal/scripts
-@dirrm libexec/hal
-@dirrm include/hal
-@dirrm etc/hal/fdi/preprobe
-@dirrm etc/hal/fdi/policy
-@dirrm etc/hal/fdi/information
-@dirrm etc/hal/fdi
-@dirrm etc/hal
-@unexec rm -f /var/run/hald/hald.pid 2>/dev/null || true
-@unexec rm -rf /var/run/hald/hald-local 2>/dev/null || true
-@unexec rm -rf /var/run/hald/hald-runner 2>/dev/null || true
-@unexec rmdir /var/run/hald 2>/dev/null || true
-@unexec rmdir /var/cache/hald 2>/dev/null || true
-@unexec rmdir /var/cache 2>/dev/null || true
-@unexec /var/lib/hal 2>/dev/null || true
-@unexec /var/lib 2>/dev/null || true
-%%MEDIA%%@unexec rmdir /media 2>/dev/null || true